Loading...
Searching...
No Matches
environmentvariable58_probe.c File Reference

environmentvariable58 probe More...

`#include <stdlib.h>`
`#include <unistd.h>`
`#include <limits.h>`
`#include <string.h>`
`#include <stdio.h>`
`#include <errno.h>`
`#include <sys/stat.h>`
`#include <fcntl.h>`
`#include <sys/types.h>`
`#include <dirent.h>`
`#include <probe/probe.h>`
`#include "_seap.h"`
`#include "probe-api.h"`
`#include "probe/entcmp.h"`
`#include "common/debug_priv.h"`
`#include "environmentvariable58_probe.h"`
Include dependency graph for environmentvariable58_probe.c:

## Macros

#define | BUFFER_SIZE 256

## Functions

int | environmentvariable58_probe_offline_mode_supported (void)
int | environmentvariable58_probe_main (probe_ctx *ctx, void *arg)

## Variables

char ** | environ

## Detailed Description

environmentvariable58 probe

Author
  "Petr Lautrbach" plaut.nosp@m.rba@.nosp@m.redha.nosp@m.t.co.nosp@m.m

This probe is able to process a environmentvariable58_object as defined in OVAL 5.8.